{
  "type": "minecraft:geode",
  "config": {
    "blocks": {
      "filling_provider": {
        "type": "minecraft:simple_state_provider",
        "state": {
          "Name": "minecraft:water"
        }
      },
      "inner_layer_provider": {
        "type": "minecraft:simple_state_provider",
        "state": {
          "Name": "minecraft:green_concrete"
        }
      },
      "alternate_inner_layer_provider": {
        "type": "minecraft:simple_state_provider",
        "state": {
          "Name": "minecraft:slime_block"
        }
      },
      "middle_layer_provider": {
        "type": "minecraft:simple_state_provider",
        "state": {
          "Name": "minecraft:green_terracotta"
        }
      },
      "outer_layer_provider": {
        "type": "minecraft:simple_state_provider",
        "state": {
          "Name": "minecraft:coarse_dirt"
        }
      },
      "inner_placements": [
        {
          "Name": "minecraft:slime_block"
        }
      ],
      "cannot_replace": "#features_cannot_replace",
      "invalid_blocks": "#geode_invalid_blocks"
    },
    "layers": {},
    "crack": {},
    "invalid_blocks_threshold": 1,
    "use_alternate_layer0_chance": 0.083
  }
}